IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_g_depart_mnlevel]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_g_depart_mnlevel]
GO
create procedure [dbo].[mps_g_depart_mnlevel](
@cmpid int ,
@mybcid int 
)
as 
begin
  -- 返回部门岗位
  set nocount on
  select distinct  dp_id, mg_grade , dp_fullname+'/'+mg_caption  dp_fullname ,dp_level , dp_order 
  from mps_depart ,  mps_manage_grade
  where dp_cmpid=@cmpid and dp_bcid=@mybcid  and dp_fullname>'' and mg_caption>''  and dp_isdepart=0 
  order by dp_level , dp_order , mg_grade 
  set nocount off
end